(***********************************************************************)
(*                                                                     *)
(*                               TAToo                                 *)
(*                                                                     *)
(*                     Kim Nguyen, LRI UMR8623                         *)
(*                   Université Paris-Sud & CNRS                       *)
(*                                                                     *)
(*  Copyright 2010-2012 Université Paris-Sud and Centre National de la *)
(*  Recherche Scientifique. All rights reserved.  This file is         *)
(*  distributed under the terms of the GNU Lesser General Public       *)
(*  License, with the special exception on linking described in file   *)
(*  ../LICENSE.                                                        *)
(*                                                                     *)
(***********************************************************************)

(*
  Time-stamp: <Last modified on 2013-03-16 07:01:10 CET by Kim Nguyen>
*)

module NodeKind =
  struct
    type t =
        Document | Element | Text |  Attribute | Comment | ProcessingInstruction
      | Node

    let to_string =
      function
    Document -> "document"
    | Element -> "element"
    | Attribute -> "attribute"
    | Text -> "text"
    | Comment -> "comment"
    | ProcessingInstruction -> "processing-instruction"
    | Node -> "node"
    let print ppf k = Format.fprintf ppf "%s" (to_string k)


    let is_a k1 k2 =
      k1 == Node || k2 == Node || k1 == k2
end
